### File

`packages/eui/packages/deprecated/ux-a-toolbar-filter/ux-a-toolbar-filter.component.ts`

### Implements

`OnInit` `OnChanges`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `ux-a-toolbar-filter`
styleUrls | `./styles/_index.scss`
templateUrl | `./ux-a-toolbar-filter.component.html`

### Index

###### Methods

- Public onCollapseAll
- Public onExpandAll
- Public onFilter
- Public onFilter

###### Inputs

- collapseAllLabel
- e2eAttr
- expandAllLabel
- filterLabel
- filterValue
- hasLabels
- isFilterVisible
- isToggleExpanded
- isToggleVisible
- isVisible

###### Outputs

- collapseAll
- expandAll
- filter

###### Accessors

- isVisible
- isFilterVisible
- isToggleVisible
- isToggleExpanded
- hasLabels

### Inputs

collapseAllLabel
Type : `string`

e2eAttr
Type : `string`
Default value : `'ux-a-toolbar-filter'`

expandAllLabel
Type : `string`

filterLabel
Type : `string`

filterValue
Type : `string`
Default value : `''`

hasLabels
Type : `boolean`

isFilterVisible
Type : `boolean`

isToggleExpanded
Type : `boolean`

isToggleVisible
Type : `boolean`

isVisible
Type : `boolean`

### Outputs

collapseAll
Type : `EventEmitter`

expandAll
Type : `EventEmitter`

filter
Type : `EventEmitter`

### Methods

Public onCollapseAll
`onCollapseAll(event: MouseEvent)`

Parameters :

Name | Type | Optional
event | `MouseEvent` | No

Returns : `void`

Public onExpandAll
`onExpandAll(event: MouseEvent)`

Parameters :

Name | Type | Optional
event | `MouseEvent` | No

Returns : `void`

Public onFilter
`onFilter(event: string)`

Parameters :

Name | Type | Optional
event | `string` | No

Returns : `void`

Public onFilter
`onFilter()`
Returns : `void`

### Accessors

isVisible
get `isVisible()`
set `isVisible(value: BooleanInput)`

Parameters :

Name | Type | Optional
value | `BooleanInput` | No

Returns : `void`

isFilterVisible
get `isFilterVisible()`
set `isFilterVisible(value: BooleanInput)`

Parameters :

Name | Type | Optional
value | `BooleanInput` | No

Returns : `void`

isToggleVisible
get `isToggleVisible()`
set `isToggleVisible(value: BooleanInput)`

Parameters :

Name | Type | Optional
value | `BooleanInput` | No

Returns : `void`

isToggleExpanded
get `isToggleExpanded()`
set `isToggleExpanded(value: BooleanInput)`

Parameters :

Name | Type | Optional
value | `BooleanInput` | No

Returns : `void`

hasLabels
get `hasLabels()`
set `hasLabels(value: BooleanInput)`

Parameters :

Name | Type | Optional
value | `BooleanInput` | No

Returns : `void`

# results matching ""

# No results matching ""